local assets=
{
	Asset("ANIM", "anim/warfarinbow_arm.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    
    inst.AnimState:SetBank("horn_rhino")
    inst.AnimState:SetBuild("warfarinbow_arm")
    inst.AnimState:PlayAnimation("idle")
    MakeInventoryPhysics(inst)
	inst.Transform:SetScale(.8, .8, .8)
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
        inst.components.inventoryitem.atlasname = "images/inventoryimages/warfarinbowarm.xml"

    return inst
end

return Prefab( "common/inventory/warfarinbowarm", fn, assets) 
